Download it now!
Bug 123206 - FILEOPEN DOCX Custom chart labels disappear
Summary: FILEOPEN DOCX Custom chart labels disappear
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6....
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-02-06 10:36 UTC by NISZ LibreOffice Team
Modified: 2020-01-08 13:32 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Microsoft Word (31.40 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-06 10:43 UTC, NISZ LibreOffice Team
Details
The same chart in PowerPoint and Word (89.29 KB, image/png)
2019-02-06 10:44 UTC, NISZ LibreOffice Team
Details
The same file opened in Writer and Word (screenshot) (92.02 KB, image/png)
2019-02-06 10:45 UTC, NISZ LibreOffice Team
Details
How it looks after the commit (24.79 KB, image/png)
2019-12-04 13:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-06 10:36:40 UTC
Description:
Custom chart labels in DOCX documents created with Microsoft Word 2016 disappears when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Steps to Reproduce:
1.	Create a new document in Microsoft Word.
2.	Insert a chart.
3.	Set custom chart label texts.
4.	Save the file as DOCX.
5.	Open the same file in LibreOffice Writer.
6.	Compare the original file opened in Word and Writer.

Actual Results:
Custom chart labels disappear when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Expected Results:
Custom chart labels should look like as the original file when the document is opened in Microsoft Word 2016.


Reproducible: Always


User Profile Reset: No



Additional Info:
The same problem has been solved in PPTX case: https://bugs.documentfoundation.org/show_bug.cgi?id=115107
If You copy and paste the chart of the PPTX document to Microsoft Word, save and open in LibreOffice Writer it will reproduce the bug.

LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: 78317bc663a0c33bef536b3db98380e64ce32b28
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-02-06 10:43:12 UTC
Created attachment 148947 [details]
Example file from Microsoft Word
Comment 2 NISZ LibreOffice Team 2019-02-06 10:44:29 UTC
Created attachment 148948 [details]
The same chart in PowerPoint and Word
Comment 3 NISZ LibreOffice Team 2019-02-06 10:45:58 UTC
Created attachment 148949 [details]
The same file opened in Writer and Word (screenshot)
Comment 4 Dieter Praas 2019-02-06 11:05:35 UTC
I confirm it with MS Word 2016 and

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 411f3a050ac2be598019d512f8ccfe041080c28f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-01-14_03:17:11
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2019-05-16 09:55:31 UTC
Dear Balázs Varga,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 6 Commit Notification 2019-11-29 15:45:51 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c2b36cd6f7cf70e77dac5938f18146b0687523e6

tdf#123206 Import/Export chart custom label text

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-02 08:16:53 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/60464cb113f558d174e5adaa3c012f3df10519c5

tdf#123206 Import/Export chart custom label text

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-04 09:17:57 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/10f9096a4fb1969e57123dbf031a312ed1e8d8c6

tdf#123206 Import/Export chart custom label text

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2019-12-04 13:37:25 UTC
Created attachment 156295 [details]
How it looks after the commit
Comment 10 Xisco Faulí 2019-12-04 13:39:05 UTC
Hi Tamas, NISZ LibreOffice Team,
So the values are correct now but their formatting is still missing.
Should we create a follow-up bug for it and close this one as RESOLVED FIXED ?
Comment 11 Commit Notification 2020-01-01 16:36:26 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d2c7e7af04d9604d86d2d605ef95b9abb10966c

tdf#123206 Store custom label as chart:data-label

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Tamas Bunth 2020-01-01 16:37:43 UTC
Formatting is still missing, the above patch is only a better solution for the same -- already solved -- problem.
Comment 13 Commit Notification 2020-01-02 13:39:06 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c7ef73e99dcecb6c86bcbf19135b89ad9e7db3a

tdf#123206 Add test: import custom-label-field

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-01-07 09:46:28 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d797bdbf6f54770b74c8f319c4f08dd685cb0656

tdf#123206 Store custom label as chart:data-label

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-01-07 15:46:09 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/a08d63312cea0464f465c1a3fde0e9abd142e696

tdf#123206 Add test: import custom-label-field

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-01-08 11:44:49 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cdacee1de7cd8d98d79ef13bc165ce016c8b2e1a

tdf#123206 Store custom label as chart:data-label

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-01-08 13:32:41 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a57f273da44ec4f3a1364e77679146bf535941ff

tdf#123206 Add test: import custom-label-field

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.